#===============================================================================
# Computation of empirical ROC A.r
# Donaldson & Good (1996)
#===============================================================================
deci <- 4

#----------------- MODELL LADEN ------------------------------------------------
# DIRECTORIES (PLEASE ADJUST TO YOUR PERSONAL SETTING)
DirSource <- "C:/Users/macho/Documents/Statistik/_SDT-Models (Version 2)/R-Code/"
# FILE NAMES FOR ESTIMATION 
Aux      <- "SDT-Auxiliary.R"

# LOAD SOURCE FILES WITH AUXILIARY AND ESTIMATION FUNCTIONS
source(paste(DirSource, Aux, sep = ""))

# TEST 1: Donaldson & Good (1996), p. 593, High frequency
new.items <- c(19, 31, 17, 32, 16, 13)
old.items <- c( 5, 12,  9, 20, 23, 59)
Ar1 <- ROC.Ar(new.items, old.items)


# TEST 2: Donaldson & Good (1996), p. 593, low frequency
new.items <- c(79, 16, 12,  8, 4,  9)
old.items <- c(11, 12,  8,  9, 5, 83)
Ar2 <- ROC.Ar(new.items, old.items)

cat("\n------------------------------------------------------------------------------------------------------------------------------------------------\n")
cat(" Ar =", round(Ar1$A.r, deci), "<Donaldson & Good (1996), p. 593, high frequency, Number of points on ROC:>", Ar1$npt, "\n")
cat(" Ar =", round(Ar2$A.r, deci), "<Donaldson & Good (1996), p. 593, low frequency,  Number of points on ROC:>", Ar2$npt)
cat("\n-------------------------------------------------------------------------------------------------------------------------------------------------\n")

