#===============================================================================
# Computation of empirical ROC based on Hanley & McNeil (1982)
#===============================================================================
deci <- 3

#----------------- MODELL LADEN ------------------------------------------------
# DIRECTORIES (PLEASE ADJUST TO YOUR PERSONAL SETTING)
DirSource <- "C:/Users/macho/Documents/Statistik/_SDT-Models (Version 2)/R-Code/"
# FILE NAMES FOR ESTIMATION 
Aux      <- "SDT-Auxiliary.R"

# LOAD SOURCE FILES WITH AUXILIARY AND ESTIMATION FUNCTIONS
source(paste(DirSource, Aux, sep = ""))

# Data Hanley & McNeil (1982): 
normal   <- c(33, 6, 6, 11, 2)
abnormal <- c(3, 2, 2, 11, 33)
A.HM <- Area.HanleyMcNeil(normal, abnormal)
A.HM.neg.exp <- Area.HanleyMcNeil(normal, abnormal, neg.exp = T)


cat("\n-----------------------------------------------------------------------\n")
cat(" Computation of Area according to Hanley & McNeil (1982):")
cat("\n-----------------------------------------------------------------------\n")
print(A.HM)

cat("\n-----------------------------------------------------------------------\n")
cat(" Computation of Area according to Hanley & McNeil (1982)\n")
cat(" assuming the negative exponential model being correct:")
cat("\n-----------------------------------------------------------------------\n")
print(A.HM.neg.exp)

# Computing SE, given the area, assuming negartive exponential distribution
Area  <- 0.85
n.new <- 40
n.old <- 40
cat("\n-----------------------------------------------------------------------\n")
cat(" 1. Computation of SE, given the area under the ROC\n")
cat(" according to Hanley & McNeil (1982)\n")
cat(" assuming the negative exponential model being correct:\n")
cat(" Area  =",  Area, "\n")
cat(" n.new =", n.new, "(Number of new (normal)   items)\n")
cat(" n.old =", n.old, "(Number of old (abnormal) items)\n\n")
cat("   SE  =", SE.Area.HanleyMcNeil(Area, n.new, n.old))
cat("\n-----------------------------------------------------------------------\n")


n.new <- 60
n.old <- 60
cat("\n-----------------------------------------------------------------------\n")
cat(" 2. Computation of SE, given the area under the ROC\n")
cat(" according to Hanley & McNeil (1982)\n")
cat(" assuming the negative exponential model being correct:\n")
cat(" Area  =",  Area, "\n")
cat(" n.new =", n.new, "(Number of new (normal)   items)\n")
cat(" n.old =", n.old, "(Number of old (abnormal) items)\n\n")
cat("   SE  =", SE.Area.HanleyMcNeil(Area, n.new, n.old))
cat("\n-----------------------------------------------------------------------\n")
