# ================================================================
# Ex.1: HTSDT-Bias-Rank model
#       Estimation of the ranking-rating model (ranking part only)
# Data: From an own experiment
#
# Date of creation: July, 2013
# Autor: Siegfried Macho
# ================================================================

# Names of directories: PLEASE ADJUST TO YOUR PERSONAL SETTING
Dir  <- "C:/Documents and Settings/macho/Statistik/_SDT-Models (Version 2)/R-Code/"
DirM <- "C:/Documents and Settings/macho/Statistik/_SDT-Models (Version 2)/R-Code/Models/"

# Names of the source files required for estimating the data
NameS <- "SDT-Main.R"
NameA <- "SDT-Auxiliary.R"
NameM <- "HTSDT-Bias-Rank.R"

# Load source files
source(paste(Dir,  NameA, sep = ""))
source(paste(Dir,  NameS, sep = ""))
source(paste(DirM, NameM, sep = ""))

# Data 
datavec <- c(210, 68,  68, 54,            # Ranking, Target on Position 1
             193, 98,  60, 49,            # Ranking, Target on Postion  2
             198, 101, 55, 46,            # Ranking, Target on Position 3
             169,  88, 82, 61)            # Ranking, Target on Position 4

#===============================================================================
# 1. Estimation of ranking data only
#===============================================================================
cfg <- list(k.rg = 4, rating = F)

ptm1 <- proc.time()

Opti.Obj <- SDT.Estimate(data = datavec, n = cfg, Model.Id = "HTSDT.Bias.Rank", test = T)
Stat.Obj <- SDT.Statistics(Opti.Obj)			# Evaluate the results
cat("\n-------------------------------------------------------------------------\n")
cat("Test 1: HTSDT-Bias-Rank: Mixture Model with bias, on rating data\n")
cat("        Data: From own experiments")
cat("\n-------------------------------------------------------------------------\n")
print(Stat.Obj)

ptm2 <- proc.time()                       # Measuring time elapsed
tm <- time.estimate(ptm1, ptm2)
cat("\n=======================================================\n")
cat("Time required:\n")
cat(tm[1], "hours,", tm[2], "minutes,", tm[3], "seconds")
cat("\n=======================================================\n")

#===============================================================================
# 2. Estimation of ranking data Standard SDT-Model
#===============================================================================
cfg <- list(k.rg = 4, rating = F, restriction = "SDT")
Opti.Obj <- SDT.Estimate(data = datavec, n = cfg, Model.Id = "HTSDT.Bias.Rank", test = T)
Stat.Obj <- SDT.Statistics(Opti.Obj)			# Evaluate the results

cat("\n-------------------------------------------------------------------------\n")
cat("Test 2: HTSDT-Bias-Rank on ranking data only\n")
cat("        Simulation of the Standard SDT Model")
cat("\n-------------------------------------------------------------------------\n")
print(Stat.Obj)

ptm3 <- proc.time()                       # Measuring time elapsed
tm <- time.estimate(ptm2, ptm3)
cat("\n=======================================================\n")
cat("Time required (for second model):\n")
cat(tm[1], "hours,", tm[2], "minutes,", tm[3], "seconds")
cat("\n=======================================================\n")
