# ================================================================
# Ex.1: HTSDT-Rank model
#       Parameter information
# 
# Date of creation:      July, 2013
# Last update     :  November, 2020
#
# Autor: Siegfried Macho
# ================================================================

# Names of directories: PLEASE ADJUST TO YOUR PERSONAL SETTING
Dir  <- "C:/Users/macho/Documents/Statistik/_SDT-Models (Version 2)/R-Code/"
DirM <- "C:/Users/macho/Documents/Statistik/_SDT-Models (Version 2)/R-Code/Models/"

# Old version
#Dir  <- "U:/My Documents/_Sicherung/Statistik/_SDT-Models (Version 2)/R-Code/"
#DirM <- "U:/My Documents/_Sicherung/Statistik/_SDT-Models (Version 2)/R-Code/Models/"


# Names of the source files required for estimating the data
NameS <- "SDT-Main.R"
NameA <- "SDT-Auxiliary.R"
NameM <- "HTSDT-Rank.R"
# Load source files
source(paste(Dir,  NameA, sep = ""))
source(paste(Dir,  NameS, sep = ""))
source(paste(DirM, NameM, sep = ""))


T1 <- T
T2 <- T
T3 <- T
T4 <- T


#===============================================================================
# Ranking and ranking
# Four types of restrictions: standard, equal, UVSDT, EVSDT
#===============================================================================
if(T1) {
   cat("\n------------------------------------------------------------------\n")
   cat(" Configuration : Standard restrictions\n")
   cat("    AFC: 4-AFC and 3-AFC rpeated: j.rg = c(4, 3)\n")
   cat(" Rating: 2 data sets with 6 and 4 response categories")
   cat("\n------------------------------------------------------------------\n")
   cfg <- list(n.sdt = c(2, 6, 2, 4), j.rg = c(4, 3), rating = T)
   Erg <- SDT.Parameter.Info(n = cfg, Model.Id = "HTSDT.Rank")
   print(Erg)
}

 if(T2) {
   cat("\n------------------------------------------------------------------\n")
   cat(" Configuration : Equality restrictions\n")
   cat("    AFC: 4-AFC and 3-AFC rpeated: j.rg = c(4, 3)\n")
   cat(" Rating: 2 data sets with 6 and 4 response categories")
   cat("\n------------------------------------------------------------------\n")
   cfg <- list(n.sdt = c(2, 6, 2, 4), j.rg = c(4, 3), rating = T, restriction = "equal")
   Erg <- SDT.Parameter.Info(n = cfg, Model.Id = "HTSDT.Rank")
   print(Erg)
}

if(T3) {
   cat("\n------------------------------------------------------------------\n")
   cat(" Configuration : UVSDT restrictions\n")
   cat("    AFC: 4-AFC and 3-AFC rpeated: j.rg = c(4, 3)\n")
   cat(" Rating: 2 data sets with 6 and 4 response categories")
   cat("\n------------------------------------------------------------------\n")
   cfg <- list(n.sdt = c(2, 6, 2, 4), j.rg = c(4, 3), rating = T, restriction = "UVSDT")
   Erg <- SDT.Parameter.Info(n = cfg, Model.Id = "HTSDT.Rank")
   print(Erg)
}

if(T4) {
   cat("\n------------------------------------------------------------------\n")
   cat(" Configuration : EVSDT restrictions\n")
   cat("    AFC: 4-AFC and 3-AFC rpeated: j.rg = c(4, 3)\n")
   cat(" Rating: 2 data sets with 6 and 4 response categories")
   cat("\n------------------------------------------------------------------\n")
   cfg <- list(n.sdt = c(2, 6, 2, 4), j.rg = c(4, 3), rating = T, restriction = "EVSDT")
   Erg <- SDT.Parameter.Info(n = cfg, Model.Id = "HTSDT.Rank")
   print(Erg)
}

