# ================================================================
# Examples of the documentation of SDT:
# SDT-4.2:  Computation of likeihood ratio confidence intervals
#           Bad data
#
# Date of last update: August, 2013
# Author: Siegfried Macho
# ================================================================
library(numDeriv)

# DIRECTORIES (PLEASE ADJUST TO YOUR PERSONAL SETTING)
DirSource <- "C:/Documents and Settings/macho/Statistik/_SDT-Models (Version 2)/R-Code/"			
DirSourceM <- "C:/Documents and Settings/macho/Statistik/_SDT-Models (Version 2)/R-Code/Models/"

# FILE NAME WITH THE MODEL 
Model <- "SDT-SDT.R"

# FILE NAMES FOR ESTIMATION 
Main        <- "SDT-Main.R"
Auxiliary   <- "SDT-Auxiliary.R"
LR.Fct      <- "SDT-LR-CFI (Bsearch).R"

# LOAD SOURCE FILES WITH SDT MODEL
source(paste(DirSourceM, Model, sep = ""))

# LOAD SOURCE FILES WITH AUXILIARY AND ESTIMATION FUNCTIONS
source(paste(DirSource, Auxiliary, sep = ""))
source(paste(DirSource, Main, sep = ""))
source(paste(DirSource, LR.Fct, sep = ""))

# Data of S2, Vp.69
data <- c(51, 9, 7, 4, 3, 6,	# New
	    15, 2, 0, 2, 2, 59)	# Old

Opti.Obj <- SDT.Estimate(data = data, test = T)
Stat.Obj <- SDT.Statistics(Opti.Obj, control = list(LR = T))			# Evaluate the results

print(Stat.Obj)

# PLOT CONFIGURATION
SDT.Plot(Opti.Obj, cols = 3:4, labels = c("Memory Strength", "Density"))
