#===============================================================================
# Ex.1 Rank-SDT model: Parameter Information
#
# Date of creation:       December, 2014
# Date of last Update:    November, 2020
#
# Autor: Siegfried Macho
#===============================================================================
rm(list = ls())

Dir <- "C:/Users/macho/Documents/Statistik/_SDT-Models (Version 2)/R-Code/Models/"
DirM <- "C:/Users/macho/Documents/Statistik/_SDT-Models (Version 2)/R-Code/"

Name <- "SDT-Rank.R"
NameM <- "SDT-Main.R"
NameA <- "SDT-Auxiliary.R"
source(paste(Dir, Name, sep = ""))
source(paste(DirM, NameM, sep = ""))
source(paste(DirM, NameA, sep = ""))

cfg.1 <- list(n.sdt = c(2, 6, 2, 4), k.rg = c(4, 3), rating = T, restriction = "standard")
cfg.2 <- list(n.sdt = c(2, 6, 2, 4), k.rg = c(4, 3), rating = T, restriction = "equal")
cfg.3 <- list(k.rg = c(4, 3), models = c("P", "S"), rating = F, restriction = "standard")
cfg.4 <- list(k.rg = c(4, 3), models = c("P", "S"), rating = F, restriction = "equal")

#===============================================================================
#  Compute Parameter-Information
#===============================================================================
P.1  <- SDT.Parameter.Info(n = cfg.1, Model.Id = "SDT.Rank")
P.2  <- SDT.Parameter.Info(n = cfg.2, Model.Id = "SDT.Rank")
P.3  <- SDT.Parameter.Info(n = cfg.3, Model.Id = "SDT.Rank")
P.4  <- SDT.Parameter.Info(n = cfg.4, Model.Id = "SDT.Rank")

cat("\n-------------------------------------------------------------------\n")
cat(" SDT.Parameter.Info: Configuration 1:\n")
cat(" - Two AFC models 4-AFC & 3-AFC\n")
cat(" - Two rating models:\n")
cat("   1. Two types of signals and 6 response categories")
cat("   2. Two types of signals and 4 response categories")
cat(" - Standard restrictions")
cat("\n-------------------------------------------------------------------\n")
print(P.1)

cat("\n-------------------------------------------------------------------\n")
cat(" SDT.Parameter.Info: Configuration 2:\n")
cat(" - Two AFC models 4-AFC & 3-AFC\n")
cat(" - Two rating models:\n")
cat("   1. Two types of signals and 6 response categories")
cat("   2. Two types of signals and 4 response categories")
cat(" - Equality restrictions")
cat("\n-------------------------------------------------------------------\n")
print(P.2)

cat("\n-------------------------------------------------------------------\n")
cat(" SDT.Parameter.Info: Configuration 3:\n")
cat(" - Two AFC models 4-AFC (parallel) )& 3-AFC (serial)\n")
cat(" - No rating models:\n")
cat(" - Standard restrictions")
cat("\n-------------------------------------------------------------------\n")
print(P.3)

cat("\n-------------------------------------------------------------------\n")
cat(" SDT.Parameter.Info: Configuration 3:\n")
cat(" - Two AFC models 4-AFC (parallel)  & 3-AFC (serial))\n")
cat(" - No rating models:\n")
cat(" - Equality restrictions")
cat("\n-------------------------------------------------------------------\n")
print(P.4)